## org.eclipse.amp.amf.acore.edit.commands.test
Class SetID

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
              org.eclipse.amp.amf.acore.edit.commands.test.SetTransformer
                  org.eclipse.amp.amf.acore.edit.commands.test.SetID

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

    public class SetID

extends SetTransformer

Constructor Summary
`SetID(java.lang.String oldID, java.lang.String newID)`

Method Summary
`void` `postCondition()`
`void` `preCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.SetTransformer
`getCommand, getIID, getSNamed`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
`addPrePost, doPostCondition, doPreCondition, exec, modifies, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetID

    public SetID(java.lang.String oldID,
                 java.lang.String newID)

Method Detail

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`
  Overrides:
    `preCondition` in class `PrePostCondition`

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`
  Overrides:
    `postCondition` in class `PrePostCondition`